%bcond_without qt

%define		_peazipinstalldir %{_datadir}/peazip

Summary:	File and archive manager %{?with_qt:(Lazarus/Qt6)}
Name:		peazip
Version:	10.4.0
Release:	%mkrel 2
License:	LGPLv3
Group:		File tools
Url:		https://peazip.github.io/
Source0:	https://download.sourceforge.net/%{name}/%{name}-%{version}.src.zip
#Source1:        https://sourceforge.net/projects/peazip/files/%%{version}/peazip_help.pdf
# configure to run in users home appdata
Source2:	altconf.txt
Patch0:		peazip-desktop.patch
Patch1:		peazip-10.4.0-debuginfo.patch
# remove metadark dep as per instructions as it is unused on linux
Patch2:		peazip-metadark.patch
# use qt5 workarounds on qt6 to avoid crashes
Patch3:		peazip-qt6.patch
BuildRequires:	kf6-rpm-macros
BuildRequires:	brotli
BuildRequires:	dos2unix
BuildRequires:	lazarus >= 1.2.0
%if %{with qt}
BuildRequires:	qt6pas-devel
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
%else
BuildRequires:	pkgconfig(gtk+-2.0)
%endif
BuildRequires:	icoutils
BuildRequires:	p7zip
BuildRequires:	unzip
BuildRequires:	zstd
Requires:	brotli
Requires:	p7zip
Requires:	upx >= 3.09
Requires:	zstd

%description
PeaZip is a free cross-platform file archiver that provides a unified
portable GUI for many Open Source technologies like 7-Zip, FreeArc, PAQ,
UPX...

%package kf6
Summary:	KF6 servicemenu for peazip
Group:		Graphical desktop/KDE
BuildArch:	noarch
Requires:	%{name}

Obsoletes:	peazip-kf5 < 9.1.0-4

%description kf6
PeaZip is a file and archive manager GUI for many formats.
This subpackage contains the KF6 integration.

%prep
%autosetup -p1 -n %{name}-%{version}.src
chmod +w res/share/lang
dos2unix readme*
iconv -f iso8859-1 -t utf-8 readme.txt > readme.conv && mv -f readme.conv readme.txt
mv res/share/copying/copying.txt .

%build
cd dev
lazbuild --lazarusdir=%{_libdir}/lazarus \
%ifarch x86_64
	--cpu=x86_64 \
%endif
%if %{with qt}
	--widgetset=qt6 \
%else
	--widgetset=gtk2 \
%endif
	--max-process-count=1 \
	-B project_peach.lpi project_pea.lpi

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_peazipinstalldir}/res/share
cp %{SOURCE2} %{buildroot}%{_peazipinstalldir}/res/

#install helper apps
mkdir -p %{buildroot}%{_peazipinstalldir}/res/bin/{7z,upx,brotli,zstd}
ln -s %{_bindir}/7z  %{buildroot}%{_peazipinstalldir}/res/bin/7z/7z
ln -s %{_bindir}/upx  %{buildroot}%{_peazipinstalldir}/res/bin/upx/upx
ln -s %{_bindir}/brotli  %{buildroot}%{_peazipinstalldir}/res/bin/brotli/brotli
ln -s %{_bindir}/zstd  %{buildroot}%{_peazipinstalldir}/res/bin/zstd/zstd

# binaries
install -m 0755 dev/peazip %{buildroot}%{_peazipinstalldir}
ln -s %{_peazipinstalldir}/peazip %{buildroot}%{_bindir}/peazip
install -m 0755 dev/pea %{buildroot}%{_peazipinstalldir}/res
ln -s %{_peazipinstalldir}/res/pea %{buildroot}%{_bindir}/pea

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/mimetypes
install -m 0644 res/share/icons/peazip_{7z,rar,zip}.png %{buildroot}%{_iconsdir}/hicolor/256x256/mimetypes/
mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/actions
install -m 0644 res/share/icons/peazip_{add,extract,browse,convert}.png %{buildroot}%{_iconsdir}/hicolor/256x256/actions/

# desktop
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 res/share/batch/freedesktop_integration/peazip.desktop %{buildroot}%{_datadir}/applications/

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
install -m 0644 res/share/batch/freedesktop_integration/peazip.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

# help & res
install -m 0644 res/share/peazip_help.pdf %{buildroot}%{_peazipinstalldir}/res/share/peazip_help.pdf
cp -r res/share/{icons,lang,themes} %{buildroot}%{_peazipinstalldir}/res/share/

# KDE-servicemenus
mkdir -p %{buildroot}%{_kf6_datadir}/kio/servicemenus
install -m 0644 res/share/batch/freedesktop_integration/KDE-servicemenus/KDE6-dolphin/*.desktop %{buildroot}%{_kf6_datadir}/kio/servicemenus/

%files
%doc readme.txt
%license copying.txt
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/actions/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/

%files kf6
%{_kf6_datadir}/kio/servicemenus/*.desktop


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 10.4.0-2.mga10
+ Revision: 2251466
- Mageia 10 Mass Rebuild

* Mon Apr 14 2025 daviddavid <daviddavid> 10.4.0-1.mga10
+ Revision: 2175610
- new version: 10.4.0

* Fri Feb 07 2025 daviddavid <daviddavid> 10.2.0-1.mga10
+ Revision: 2146023
- new version: 10.2.0

* Thu Nov 07 2024 daviddavid <daviddavid> 10.0.0-1.mga10
+ Revision: 2112936
- new version: 10.0.0

* Fri Sep 27 2024 daviddavid <daviddavid> 9.9.1-1.mga10
+ Revision: 2101528
- new version: 9.9.1

* Wed Jul 10 2024 daviddavid <daviddavid> 9.8.0-1.mga10
+ Revision: 2080531
- new version: 9.8.0
- switch to Lazarus/Qt6

* Thu Mar 30 2023 daviddavid <daviddavid> 9.1.0-3.mga9
+ Revision: 1950779
- replace desktop categories "Qt" with "GTK" (mga#31679#9)

* Mon Mar 27 2023 daviddavid <daviddavid> 9.1.0-2.mga9
+ Revision: 1950414
- fix peazip_help.pdf location

* Mon Mar 06 2023 daviddavid <daviddavid> 9.1.0-1.mga9
+ Revision: 1947920
- new version: 9.1.0 (mga#31639)
- switch to Qt5 and qt5pas (now work properly)
- update Url
- use upstream desktop file and improve it
- add new KF5 servicemenu for peazip sub-pkg
- brotli and zstd are now needed

* Tue Mar 29 2022 umeabot <umeabot> 7.3.1-2.mga9
+ Revision: 1831073
- Mageia 9 Mass Rebuild

* Sat Jun 06 2020 daviddavid <daviddavid> 7.3.1-1.mga8
+ Revision: 1590676
- new version: 7.3.1

* Sat Feb 15 2020 umeabot <umeabot> 6.9.0-2.mga8
+ Revision: 1528377
- Mageia 8 Mass Rebuild

* Tue Aug 20 2019 daviddavid <daviddavid> 6.9.0-1.mga8
+ Revision: 1430423
- new version: 6.9.0

* Tue Jul 02 2019 daviddavid <daviddavid> 6.8.1-1.mga8
+ Revision: 1417574
- new version: 6.8.1

* Mon Apr 15 2019 daviddavid <daviddavid> 6.7.2-1.mga7
+ Revision: 1390628
- new version: 6.7.2

* Sun Mar 17 2019 daviddavid <daviddavid> 6.7.1-1.mga7
+ Revision: 1378442
- new version: 6.7.1
- switch to gtk2 widget as qt widget seems broken and startup crashes
- add upstream peazip_help.pdf file
- pealauncher is removed upstream

* Mon Oct 29 2018 daviddavid <daviddavid> 6.6.1-1.mga7
+ Revision: 1326540
- new version: 6.6.1

* Mon Oct 29 2018 daviddavid <daviddavid> 6.6.0-3.mga7
+ Revision: 1326521
- enable debug package as it should

* Thu Oct 11 2018 pterjan <pterjan> 6.6.0-2.mga7
+ Revision: 1319535
- Exclude aarch64, one file will need a dedicated implementation
- Add a patch for aarch64
- Update to 6.6.0
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Feb 15 2017 daviddavid <daviddavid> 5.9.1-3.mga6
+ Revision: 1086308
- use a source file for the desktop file instead of all these lines in the spec file

* Sat Jul 30 2016 pterjan <pterjan> 5.9.1-2.mga6
+ Revision: 1044002
- Fix build on arm
+ shlomif <shlomif>
- Correct typos

* Mon Jan 11 2016 luigiwalser <luigiwalser> 5.9.1-1.mga6
+ Revision: 921772
- 5.9.1
- build Qt interface (mga#14070)

* Sat Nov 22 2014 alexl <alexl> 5.1.1-5.mga5
+ Revision: 798265
- add translations for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 5.1.1-4.mga5
+ Revision: 743846
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 5.1.1-1.mga4
+ Revision: 500632
- new version 5.1.1
+ fwang <fwang>
- now based on gtk

* Fri Sep 13 2013 fwang <fwang> 5.1.0-1.mga4
+ Revision: 478289
- new version 5.1.0

* Tue Jun 25 2013 dams <dams> 5.0-2.mga4
+ Revision: 446651
- Finally disable debug as it's an empty rpm...
- Try to make specfile better...
- Add 'pea' and 'pealauncher'
- Enable debug package

* Tue Jun 25 2013 dams <dams> 5.0-1.mga4
+ Revision: 446620
- new version 5.0

* Tue Jun 25 2013 dams <dams> 4.9.2-1.mga4
+ Revision: 446606
- fix icons installation
- clean specfile
- improve icon rendering by providing a better icon size
+ joequant <joequant>
- update to 4.9.2
- get compile for 64-bit
  set up directories so that everything works
+ malo <malo>
- update to 4.6.1
- builds only on i586
- imported package peazip

